Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit kubernetes for openSUSE:Factory
Hello community,

here is the log from the commit of package kubernetes for openSUSE:Factory
checked in at 2019-04-04 11:58:35
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/kubernetes (Old)
and /work/SRC/openSUSE:Factory/.kubernetes.new.3908 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "kubernetes"

Thu Apr 4 11:58:35 2019 rev:40 rq:688666 version:1.14.0

Changes:
--------
--- /work/SRC/openSUSE:Factory/kubernetes/kubectl.changes 2019-03-04
09:08:45.852724109 +0100
+++ /work/SRC/openSUSE:Factory/.kubernetes.new.3908/kubectl.changes
2019-04-04 11:58:38.901200722 +0200
@@ -1,0 +2,7 @@
+Tue Mar 26 10:11:00 UTC 2019 - rbrown@xxxxxxxx
+
+- Update to version 1.14.0:
+ * Full Changelog:
https://github.com/kubernetes/kubernetes/blob/master/CHANGELOG-1.14.md
+ * bump required minimum go version to 1.12.1 (strings package compatibility)
+
+-------------------------------------------------------------------
--- /work/SRC/openSUSE:Factory/kubernetes/kubernetes.changes 2019-03-13
16:41:24.322683029 +0100
+++ /work/SRC/openSUSE:Factory/.kubernetes.new.3908/kubernetes.changes
2019-04-04 11:58:40.321201634 +0200
@@ -1,0 +2,11 @@
+Tue Mar 26 10:11:00 UTC 2019 - rbrown@xxxxxxxx
+
+- Update to version 1.14.0:
+ * Full Changelog:
https://github.com/kubernetes/kubernetes/blob/master/CHANGELOG-1.14.md
+ * kubeadm now auto detects which CRI runtimes are available
+ * bump required minimum go version to 1.12.1 (strings package compatibility)
+ * Restore machine readability to the print-join-command output
+- Remove obsolete patch kubeadm-Support-Kernel-5.0-gh74355.patch
+- Remove obsolete patch make-e2e_node-run-over-distro-bins.patch
+
+-------------------------------------------------------------------

Old:
----
kubeadm-Support-Kernel-5.0-gh74355.patch
kubernetes-1.13.4.tar.xz
make-e2e_node-run-over-distro-bins.patch

New:
----
kubernetes-1.14.0.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ kubectl.spec ++++++
--- /var/tmp/diff_new_pack.Mv3qns/_old 2019-04-04 11:58:41.549202423 +0200
+++ /var/tmp/diff_new_pack.Mv3qns/_new 2019-04-04 11:58:41.553202426 +0200
@@ -19,10 +19,10 @@
%{!?tmpfiles_create:%global tmpfiles_create systemd-tmpfiles --create}

# baseversion - version of kubernetes for this package
-%define baseversion 1.13
+%define baseversion 1.14

Name: kubectl
-Version: %{baseversion}.4
+Version: %{baseversion}.0
Release: 0
Summary: Kubectl (Kubernetes client tools)
Group: System/Management
@@ -35,7 +35,6 @@
Source30: kubectl-rpmlintrc
# Patches so it also builds in ppc64le and arm64.
Patch1: git-upstream.patch
-Patch4: make-e2e_node-run-over-distro-bins.patch

BuildRequires: bash-completion
BuildRequires: git
@@ -44,9 +43,9 @@
BuildRequires: golang-packaging
BuildRequires: rsync
BuildRequires: systemd-rpm-macros
-# Kubernetes 1.13.3 requires at least go 1.11.5 (see changelog)
-BuildRequires: golang(API) = 1.11
-BuildRequires: go >= 1.11.5
+# Kubernetes 1.14.0 requires at least go 1.12.1 (see changelog)
+BuildRequires: golang(API) = 1.12
+BuildRequires: go >= 1.12.1
BuildRequires: golang(github.com/jteeuwen/go-bindata)
ExcludeArch: %ix86 s390
# Conflict with kubernetes-client which already provides kubectl but as a link
@@ -67,7 +66,6 @@
%prep
%setup -q -n kubernetes-%{version}
%patch1 -p1
-%patch4 -p1
%{goprep} github.com/kubernetes/kubernetes

%build

++++++ kubernetes.spec ++++++
--- /var/tmp/diff_new_pack.Mv3qns/_old 2019-04-04 11:58:41.573202439 +0200
+++ /var/tmp/diff_new_pack.Mv3qns/_new 2019-04-04 11:58:41.577202441 +0200
@@ -19,13 +19,13 @@
%{!?tmpfiles_create:%global tmpfiles_create systemd-tmpfiles --create}

# baseversion - version of kubernetes for this package
-%define baseversion 1.13
+%define baseversion 1.14

# maxcriversion - version of cri-tools which is notsupported by this version
of kubeadm.
-%define maxcriversion 1.14
+%define maxcriversion 1.15

Name: kubernetes
-Version: %{baseversion}.4
+Version: %{baseversion}.0
Release: 0
Summary: Container Scheduling and Management
License: Apache-2.0
@@ -58,10 +58,6 @@

# Patches so it also builds in ppc64le and arm64.
Patch1: git-upstream.patch
-Patch4: make-e2e_node-run-over-distro-bins.patch
-
-# Support kernel 5.0+
-Patch2: kubeadm-Support-Kernel-5.0-gh74355.patch

BuildRequires: bash-completion
BuildRequires: git
@@ -70,9 +66,9 @@
BuildRequires: golang-packaging
BuildRequires: rsync
BuildRequires: systemd-rpm-macros
-# Kubernetes 1.13.3 requires at least go 1.11.5 (see changelog)
-BuildRequires: golang(API) = 1.11
-BuildRequires: go >= 1.11.5
+# Kubernetes 1.14.0 requires at least go 1.12.1 (see changelog)
+BuildRequires: golang(API) = 1.12
+BuildRequires: go >= 1.12.1
BuildRequires: golang(github.com/jteeuwen/go-bindata)
ExcludeArch: %ix86 s390
%{go_nostrip}
@@ -141,8 +137,7 @@
Requires: ethtool
Requires: kubernetes-common = %{version}-%{release}
Requires: kubernetes-kubelet = %{version}-%{release}
-# kubeadm used to require cri-tools to match or exceed {baseversion} but 1.13
was not released
-Requires: cri-tools >= 1.12
+Requires: cri-tools >= %{baseversion}
Conflicts: cri-tools >= %{maxcriversion}
Requires: socat
Requires(pre): shadow
@@ -200,8 +195,6 @@
%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
-%patch4 -p1
-%patch2 -p1
%{goprep} github.com/kubernetes/kubernetes

%build

++++++ _service ++++++
--- /var/tmp/diff_new_pack.Mv3qns/_old 2019-04-04 11:58:41.629202475 +0200
+++ /var/tmp/diff_new_pack.Mv3qns/_new 2019-04-04 11:58:41.629202475 +0200
@@ -3,8 +3,8 @@
<param name="url">https://github.com/kubernetes/kubernetes.git</param>
<param name="scm">git</param>
<param name="exclude">.git</param>
- <param name="versionformat">1.13.4</param>
- <param name="revision">v1.13.4</param>
+ <param name="versionformat">1.14.0</param>
+ <param name="revision">v1.14.0</param>
<param name="changesgenerate">enable</param>
</service>
<service name="tar" mode="disabled"/>

++++++ _servicedata ++++++
--- /var/tmp/diff_new_pack.Mv3qns/_old 2019-04-04 11:58:41.641202482 +0200
+++ /var/tmp/diff_new_pack.Mv3qns/_new 2019-04-04 11:58:41.641202482 +0200
@@ -1,4 +1,4 @@
<servicedata>
<service name="tar_scm">
<param
name="url">https://github.com/kubernetes/kubernetes.git</param>
- <param
name="changesrevision">c27b913fddd1a6c480c229191a087698aa92f0b1</param></service></servicedata>
\ No newline at end of file
+ <param
name="changesrevision">98f94d830d7fe30843061c8429b73dd00c19e050</param></service></servicedata>
\ No newline at end of file

++++++ kubernetes-1.13.4.tar.xz -> kubernetes-1.14.0.tar.xz ++++++
/work/SRC/openSUSE:Factory/kubernetes/kubernetes-1.13.4.tar.xz
/work/SRC/openSUSE:Factory/.kubernetes.new.3908/kubernetes-1.14.0.tar.xz
differ: char 25, line 1

++++++ kubernetes.obsinfo ++++++
--- /var/tmp/diff_new_pack.Mv3qns/_old 2019-04-04 11:58:41.797202583 +0200
+++ /var/tmp/diff_new_pack.Mv3qns/_new 2019-04-04 11:58:41.801202585 +0200
@@ -1,5 +1,5 @@
name: kubernetes
-version: 1.13.4
-mtime: 1551251410
-commit: c27b913fddd1a6c480c229191a087698aa92f0b1
+version: 1.14.0
+mtime: 1553147496
+commit: 641856db18352033a0d96dbc99153fa3b27298e5



< Previous Next >
This Thread